
/*
 * h8s2633f.h - cpu specific definitions for the h8s/2633f cpu
 */
			
#define STACK_TOP  0xffefac	
#define SELECT_CPU .h8300s

#define MSTPCRB 0xfde9:16

#define SMR0  0x78:8
#define BRR0  0x79:8
#define SCR0  0x7a:8
#define TDR0  0x7b:8
#define SSR0  0x7c:8
#define RDR0  0x7d:8
#define SCMR0 0x7e:8

#define ENABLE_SCI0 bclr #7, @MSTPCRB
#define DISABLE_SCI0 bset #7, @MSTPCRB

#define SMR2  0x88:8
#define BRR2  0x89:8
#define SCR2  0x8a:8
#define TDR2  0x8b:8
#define SSR2  0x8c:8
#define RDR2  0x8d:8
#define SCMR2 0x8e:8

#define ENABLE_SCI2 bclr #5, @MSTPCRB
#define DISABLE_SCI2 bset #5, @MSTPCRB
