
#include "h8s2633f.h"


#define BOARD_XIN 18432000	
#define BOARD_BRR_9600 58

#ifdef BUILD_FOR_UFPB
#define USE_SCI2
#else
#define USE_SCI0
#endif

#ifdef USE_SCI0

/* use SCI0 as interface */

#define SMR  SMR0
#define BRR  BRR0
#define SCR  SCR0
#define TDR  TDR0
#define SSR  SSR0
#define RDR  RDR0
#define SCMR SCMR0

#define ENABLE_SCI ENABLE_SCI0
#define DISABLE_SCI DISABLE_SCI0

#endif

#ifdef USE_SCI2

/* use SCI2 as interface */

#define SMR  SMR2
#define BRR  BRR2
#define SCR  SCR2
#define TDR  TDR2
#define SSR  SSR2
#define RDR  RDR2
#define SCMR SCMR2

#define ENABLE_SCI ENABLE_SCI2
#define DISABLE_SCI DISABLE_SCI2

#endif


